iCalendlyDeveloper Docs
Calendars

GETGet busy times

Retrieves busy times across connected calendars.

GET/v2/calendars/busy-times
GET/v2/calendars/busy-times

Query Parameters

loggedInUsersTzDeprecatedstring

Deprecated: Use timeZone instead. The timezone of the user represented as a string

timeZonestring

The timezone for the busy times query represented as a string

dateFromstring

The starting date for the busy times query

dateTostring

The ending date for the busy times query

credentialIdRequirednumber
externalIdRequiredstring

Header Parameters

AuthorizationRequiredstring

value must be Bearer <token> where <token> is api key prefixed with cal_ or managed user access token

curl -X GET "https://example.com/v2/calendars/busy-times?loggedInUsersTz=America%2FNew_York&timeZone=America%2FNew_York&dateFrom=2023-10-01&dateTo=2023-10-31&credentialId=0&externalId=%3Cstring%3E" \
  -H "Authorization: <string>"

{
  "status": "success",
  "data": [
    {
      "start": "2019-08-24T14:15:22Z",
      "end": "2019-08-24T14:15:22Z",
      "source": "string"
    }
  ]
}